/*
VDS.Web.Server is licensed under the MIT License

Copyright (c) 2010-2013 Robert Vesse

Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute,
sublicense, and/or sell copies of the Software, and to permit persons to whom the Software 
is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VDS.Web
{
    /// <summary>
    /// Possible server states
    /// </summary>
    public enum ServerState
    {
        /// <summary>
        /// Creating, the server is being created
        /// </summary>
        Creating,
        /// <summary>
        /// Created, the server has been created but not yet started
        /// </summary>
        Created,
        /// <summary>
        /// Starting, the server is starting
        /// </summary>
        Starting,
        /// <summary>
        /// Running, the server is running
        /// </summary>
        Running,
        /// <summary>
        /// Stopping, the server is being stopped
        /// </summary>
        Stopping,
        /// <summary>
        /// Stopped, the server is stopped
        /// </summary>
        Stopped,
        /// <summary>
        /// Disposing, the server is being disposed of
        /// </summary>
        Disposing,
        /// <summary>
        /// Disposed, the server has been disposed of
        /// </summary>
        Disposed
    }
}
